Bug 106622 - spec@!opengl 3.0@dlist-uint-uniforms fails on all SNB, HSW, SKL, GLK
Summary: spec@!opengl 3.0@dlist-uint-uniforms fails on all SNB, HSW, SKL, GLK
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other All
: lowest normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-22 22:02 UTC by Martin Peres
Modified: 2018-05-24 14:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-05-22 22:02:36 UTC
The test introduced by https://cgit.freedesktop.org/piglit/commit/?id=6ab75f7eb5e1dccbb773e1739beeb2d7cbd6ad0d fails on all the machines found in Intel-gfx-ci.

I'll set the priority to lowest, and feel free to close the bug if you do not care about this!
Comment 1 Martin Peres 2018-05-22 22:02:52 UTC
Dropping the priority.
Comment 2 Martin Peres 2018-05-22 22:04:01 UTC
Stdout output:

Testing glUniformui
GL_COMPILE: scalar mode
pre-initialize
compiling
post-compile verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
restore original values
post-glCallList verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
GL_COMPILE: vector mode
pre-initialize
compiling
post-compile verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
restore original values
post-glCallList verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
GL_COMPILE_AND_EXECUTE: scalar mode
pre-initialize
compiling
post-compile verify
restore original values
post-glCallList verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
GL_COMPILE_AND_EXECUTE: vector mode
pre-initialize
compiling
post-compile verify
restore original values
post-glCallList verify
s data does not match.
v2 data does not match.
v3 data does not match.
v4 data does not match.
Comment 3 Lionel Landwerlin 2018-05-23 06:45:20 UTC
I think this is fixed by the mesa commit :

commit f71714022b2cd26bb1892e6a7f3d7308515f210e
Author: Timothy Arceri <tarceri@itsqueeze.com>
Date:   Thu May 10 13:42:16 2018 +1000

    mesa: add glUniform*ui{v} support to display lists

We run into the same problem after updating piglit without the matching mesa fix.
Comment 4 Martin Peres 2018-05-24 14:53:44 UTC
(In reply to Lionel Landwerlin from comment #3)
> I think this is fixed by the mesa commit :
> 
> commit f71714022b2cd26bb1892e6a7f3d7308515f210e
> Author: Timothy Arceri <tarceri@itsqueeze.com>
> Date:   Thu May 10 13:42:16 2018 +1000
> 
>     mesa: add glUniform*ui{v} support to display lists
> 
> We run into the same problem after updating piglit without the matching mesa
> fix.

Thanks, we really need to stop updating piglit since we don't update mesa.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.